Debian Bug report logs - #469639
checkinstall: 10 option (Requires) doesn't work

version graph

Package: checkinstall; Maintainer for checkinstall is Andreas Noteng <andreas@noteng.no>; Source for checkinstall is src:checkinstall.

Reported by: javibarroso@gmail.com

Date: Thu, 6 Mar 2008 10:18:08 UTC

Severity: minor

Found in version checkinstall/1.6.1-5

Fixed in version checkinstall/1.6.1-8

Done: Felipe Sateler <fsateler@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Felipe Sateler <fsateler@gmail.com>:
Bug#469639; Package checkinstall. Full text and rfc822 format available.

Acknowledgement sent to Javier Barroso <javier.barroso@isotrol.com>:
New Bug report received and forwarded. Copy sent to Felipe Sateler <fsateler@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Barroso <javier.barroso@isotrol.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: checkinstall: 10 option (Requires) doesn't work
Date: Thu, 06 Mar 2008 11:16:34 +0100
Package: checkinstall
Version: 1.6.1-5
Severity: minor

When I chose 10 with a empty requires package list, checkinstall return me to the same menu without ask which packages add to the list.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages checkinstall depends on:
ii  file                          4.23-2     Determines file type using "magic"
ii  findutils                     4.2.33-1   utilities for finding files--find,
ii  libc6                         2.7-9      GNU C Library: Shared libraries

checkinstall recommends no packages.

-- no debconf information




Reply sent to Felipe Sateler <fsateler@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Javier Barroso <javier.barroso@isotrol.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 469639-close@bugs.debian.org (full text, mbox):

From: Felipe Sateler <fsateler@gmail.com>
To: 469639-close@bugs.debian.org
Subject: Bug#469639: fixed in checkinstall 1.6.1-8
Date: Thu, 24 Jul 2008 21:02:14 +0000
Source: checkinstall
Source-Version: 1.6.1-8

We believe that the bug you reported is fixed in the latest version of
checkinstall, which is due to be installed in the Debian FTP archive:

checkinstall_1.6.1-8.diff.gz
  to pool/main/c/checkinstall/checkinstall_1.6.1-8.diff.gz
checkinstall_1.6.1-8.dsc
  to pool/main/c/checkinstall/checkinstall_1.6.1-8.dsc
checkinstall_1.6.1-8_i386.deb
  to pool/main/c/checkinstall/checkinstall_1.6.1-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469639@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felipe Sateler <fsateler@gmail.com> (supplier of updated checkinstall package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Jul 2008 14:34:06 -0400
Source: checkinstall
Binary: checkinstall
Architecture: source i386
Version: 1.6.1-8
Distribution: unstable
Urgency: low
Maintainer: Felipe Sateler <fsateler@gmail.com>
Changed-By: Felipe Sateler <fsateler@gmail.com>
Description: 
 checkinstall - installation tracker
Closes: 469639 487964
Changes: 
 checkinstall (1.6.1-8) unstable; urgency=low
 .
   * Recommend make since it's the most used install tool. (Closes: #487964).
   * Use quilt for managing patches to upstream sources.
   * Allow Requires to be used in Debian. (Closes: #469639)
   * Turn off system translation by default, since it is currently broken.
   * Update the Vcs-* tags since we moved to Git.
Checksums-Sha1: 
 3587e6b0fd88fb970d78a9976863272cf3470a09 1331 checkinstall_1.6.1-8.dsc
 b7ad988a289cbe65fae48ce1a12e34120de7834b 17197 checkinstall_1.6.1-8.diff.gz
 71db7a2ef715dfdacce8ac3159f3c74bbacd72e2 112028 checkinstall_1.6.1-8_i386.deb
Checksums-Sha256: 
 a9c1d0a7101a5b9f282da67d83cf805449f3f7ad83863e8a665ba933cf08326e 1331 checkinstall_1.6.1-8.dsc
 175bf38f8203b13f9ee0d30910a9a711f516d8d619e5b6586b679420aec3b796 17197 checkinstall_1.6.1-8.diff.gz
 f8b1cfcbfbcde916e9fcfb6c92890a1c8975776979ac5d445cafab51dfb40b51 112028 checkinstall_1.6.1-8_i386.deb
Files: 
 db85de01ac26737fc49a77f804fdb60d 1331 admin optional checkinstall_1.6.1-8.dsc
 7e1df67ea8f7c58f89c51d4c5369766c 17197 admin optional checkinstall_1.6.1-8.diff.gz
 27a40427148b2d6c143628a4d69ac6bd 112028 admin optional checkinstall_1.6.1-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiI5TAACgkQeYl9593Atw3twgCgj+NIBs6yZodqDqAkxJUSIAxN
eIQAnjSq258/H+iRiLKhDfIATcnHHCRz
=x9YC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 04 Sep 2008 07:36:03 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Javier Barroso <javibarroso@gmail.com> to control@bugs.debian.org. (Thu, 28 Oct 2010 13:31:10 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'javibarroso@gmail.com' from 'Javier Barroso <javier.barroso@isotrol.com>' Request was from Javier Barroso <javibarroso@gmail.com> to control@bugs.debian.org. (Thu, 28 Oct 2010 13:31:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Javier Barroso <javibarroso@gmail.com> to control@bugs.debian.org. (Thu, 28 Oct 2010 13:31:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:57:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.